//
//  View.swift
//  Hello
//
//  Created by Mark Meretzky on 7/5/16.
//  Copyright © 2016 Mark Meretzky. All rights reserved.
//

import UIKit;

class View: UIView {

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)!
		//backgroundColor is a property of class View, inherited from class UIView.
		//Ask for a color that is not the default.
		//Must ask for it here: it would be too late to ask for it in drawRect.
		backgroundColor = UIColor.yellowColor();
	}


	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	
	override func drawRect(rect: CGRect) {
		// Drawing code
		let s: String = "Hello, World!";
		let application: UIApplication = UIApplication.sharedApplication(); //type method
		let appDelegate: AppDelegate = application.delegate as! AppDelegate;
		let window: UIWindow = appDelegate.window!;
		let viewController: ViewController = window.rootViewController as! ViewController;
		let point: CGPoint = CGPoint(x: 0.0, y: viewController.topLayoutGuide.length);
		s.drawAtPoint(point, withAttributes: nil);
	}

}
